ThreatFactor NSIA - Support #318

Add Continuous Integration Support
02/02/2011 10:52 PM - Luke Murphey

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Build and Packaging Estimated time: 0.00 hour
Target version:

Description

¢ hitp:/www.jetbrains.com/teamcity/download/ Free version does not allow public access
e http://cruisecontrol.sourceforge.net/ Need to disable support for JIMX console and possibly remove ability to manually build (or
restrict public access)

History

#1 - 02/02/2011 10:55 PM - Luke Murphey

Manual builds can be disabled using in cruisecontrol using the cc.config.forcebuild parameter

#2 - 02/07/2011 04:46 PM - Luke Murphey
Need a build system that:

Executes a build only when the application changes and only after a quiet period occurs (a period of no changes)
Posts a dashboard with a summary of build statuses

Posts the deliverables from the build script on a dashboard

Posts the build log in a dashboard

Sends an email when the build fails or succeeds

#3 - 02/07/2011 05:04 PM - Luke Murphey

See http://continuum.apache.org

#4 - 02/20/2011 07:54 PM - Luke Murphey

Need to change to the path that the ant script exists since it assumes that the script will be run from the current directory. Below is example of using a
delegating build script from http://cruisecontrol.sourceforge.net/gettingstartedsourcedist.html:

<!-- Delegating build script, used by cruisecontrol to build MY_PROJECT_1.
Note that the basedir is set to the checked out project -->
<project name="build-MY_PROJECT_1"
default="build"
basedir="projects/MY_PROJECT_1">
<target name="build">

<!-- Get the latest from CVS —-->
<cvs command="up -d -P"/>
<!-- Call the target that does everything -->
<ant antfile="build.xml" target="build-everything"/>
</target>
</project>
#5 - 02/26/2011 07:51 AM - Luke Murphey

Cruise control works provided the following ant script is used:

/usr/bin/ant "$@"

along with the following local properties file:

value.build.licensekey=0P3U-AIJ9-YFVB-TQX3-365U

value.test.licensekey=0P3U-AIJ9-YFVB-TQX3-365U

#value.test.resturl=http://127.0.0.1:8081/rest/NSIA/
value.build.workingcopy.directory=/Users/lmurphey/Documents/Cruise Control/cruisecontrol-bin-2.8.4/projects/ns
ia/trunk

value.build.makensis.directory=/opt/local/bin

value.test.junitformat=brief

value.test.report.directory=/Users/lmurphey/Documents/Cruise Control/cruisecontrol-bin-2.8.4/projects/nsia/tru
nk/tmp/test_report

value.build.packageoutput.directory=/Users/lmurphey/Documents/Cruise Control/cruisecontrol-bin-2.8.4/projects/
nsia/trunk/tmp/packages

value.build. java_output=/Users/lmurphey/Documents/Cruise Control/cruisecontrol-bin-2.8.4/projects/nsia/trunktm
p/java
